## ros-bond-core 1.7.16

=== bond_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bond_core)
find_package(catkin REQUIRED)
catkin_metapackage()

=== bondcpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bondcpp)

find_package(Boost REQUIRED)
find_package(catkin REQUIRED bond cmake_modules roscpp smclib)
find_package(UUID REQUIRED)

include_directories(SYSTEM ${BOOST_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} ${UUID_LIBRARIES}
  CATKIN_DEPENDS bond roscpp smclib
  DEPENDS Boost
)

add_library(${PROJECT_NAME}
  src/timeout.cpp
  src/bond.cpp
  src/BondSM_sm.cpp
)
target_link_libraries(${PROJECT_NAME} ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${BOOST_LIBRARIES})

if(catkin_EXPORTED_TARGETS)
  add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
endif()

# install stuff
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== test_bond/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_bond)

find_package(catkin REQUIRED COMPONENTS bondcpp genmsg rostest)

if(CATKIN_ENABLE_TESTING)
  include_directories(${GTEST_INCLUDE_DIRS})
  include_directories(SYSTEM ${bondcpp_INCLUDE_DIRS})

  # create the service
  add_service_files(DIRECTORY srv FILES TestBond.srv)
  generate_messages()
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  # add more tests
  add_executable(exercise_bond EXCLUDE_FROM_ALL test/exercise_bond.cpp)
  target_link_libraries(exercise_bond ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  if(test_bond_EXPORTED_TARGETS)
    add_dependencies(exercise_bond ${test_bond_EXPORTED_TARGETS})
  endif()
  add_dependencies(tests exercise_bond)

  add_rostest(test/test_cpp.launch)
  add_rostest(test/test_python.launch)

  add_executable(test_callbacks_cpp EXCLUDE_FROM_ALL test/test_callbacks_cpp.cpp)
  target_link_libraries(test_callbacks_cpp ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  if(test_bond_EXPORTED_TARGETS)
    add_dependencies(test_callbacks_cpp ${test_bond_EXPORTED_TARGETS})
  endif()
  add_dependencies(tests test_callbacks_cpp)

  add_rostest(test/test_callbacks_cpp.launch)
  add_rostest(test/test_callbacks_py.launch)
endif()

=== debian/changelog ===
ros-bond-core (1.7.16-3) unstable; urgency=medium

  * Lintian clean upload - 2nd attempt

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 03:45:52 +0000

ros-bond-core (1.7.16-2) unstable; urgency=medium

  * Lintian clean upload

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 02:33:28 +0000

ros-bond-core (1.7.16-1) unstable; urgency=medium

  * Initial release (Closes: #804827)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 20:00:55 +0000

=== debian/control ===
Source: ros-bond-core
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), ros-message-generation, libstd-msgs-dev,
		python-all (>= 2.6.6-3), python-setuptools (>=0.6b3),
		ros-cmake-modules, libroscpp-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev, uuid-dev,
		libroscpp-core-dev, libboost-dev,
		libboost-thread-dev, libroscpp-msgs-dev,
		libboost-signals-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		dh-python,
		libconsole-bridge-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/bond_core
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-bond-core.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-bond-core.git

Package: libbond-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ros-message-generation, libstd-msgs-dev
Description: Messages related to Robot OS bond_core - development
 This package is part of Robot OS (ROS). This is the 'bond' process state
 machine library development files.
 . 
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: python-bond
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages related to Robot OS bond_core - Python
 This package is part of Robot OS (ROS). This is the 'bond' process state
 machine library python bindings.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: cl-bond
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages related to Robot OS bond_core - LISP
 This package is part of Robot OS (ROS). This is the 'bond' process state
 machine library LISP bindings.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: libsmc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Robot OS 'bond' State Machine Compiler interface 
 The State Machine Compiler (SMC) from http://smc.sourceforge.net/
 converts a language-independent description of a state machine
 into the source code to support that state machine.
 .
 This package contains the libraries that a compiled state machine
 depends on, but it does not contain the compiler itself.

Package: python-smclib
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS 'bond' State Machine Compiler python package
 The State Machine Compiler (SMC) from http://smc.sourceforge.net/
 converts a language-independent description of a state machine
 into the source code to support that state machine.
 .
 This package contains the Python interface.

Package: libbondcpp-dev
Section: libdevel
Architecture: any
Depends: libbondcpp0d (= ${binary:Version}), uuid-dev, ${misc:Depends}, libbond-dev, libroscpp-dev, libsmc-dev, ros-cmake-modules
Description: Development files for Robot OS bondcpp library
 This package is part of Robot OS (ROS). It is the 'bond' process state
 machine library C++ implementation development files.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: libbondcpp0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS bondcpp library
 This package is part of Robot OS (ROS). It is the 'bond' process state
 machine library C++ implementation.
 . 
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: python-bondpy
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-bond, python-rospy, python-smclib
Description: Python implementation of bond
 This package is part of Robot OS (ROS). It is the 'bond' process state
 machine library python implementation.
 . 
 Bond is a mechanism for checking when another process has terminated. A
 bond allows two processes, A and B, to know when the other has terminated, 
 either cleanly or by crashing. The bond remains connected until it is either 
 broken explicitly or until a heartbeat times out. This package contains 
 the Python package.

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bond_core-$1\.tar\.gz/ \
  https://github.com/ros/bond_core/releases .*/v?(\d\S*)\.tar\.gz

## ros-bond-core 1.7.17

=== debian/changelog ===
ros-bond-core (1.7.17-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Add missing build dependencies (Closes: #835739)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 22:50:35 +0200

ros-bond-core (1.7.17-2) unstable; urgency=medium

  * Rebuild for change in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:15:58 +0200

ros-bond-core (1.7.17-1) unstable; urgency=medium

  * Imported Upstream version 1.7.17

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 12:23:21 +0200

## ros-bond-core 1.7.18

=== test_bond/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 if(CATKIN_ENABLE_TESTING)
   include_directories(${GTEST_INCLUDE_DIRS})
-  include_directories(SYSTEM ${bondcpp_INCLUDE_DIRS})
+  include_directories(include ${bondcpp_INCLUDE_DIRS})
 
   # create the service
   add_service_files(DIRECTORY srv FILES TestBond.srv)

=== debian/changelog ===
ros-bond-core (1.7.18-2) unstable; urgency=medium

  * Reupload because of broken ros-comm

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 22:09:25 +0100

ros-bond-core (1.7.18-1) unstable; urgency=medium

  * New upstream version 1.7.18

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:44:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), ros-message-generation, libstd-msgs-dev,
 		python-all (>= 2.6.6-3), python-setuptools (>=0.6b3),
 		ros-cmake-modules, libroscpp-dev, librosconsole-dev,
-		libros-rosgraph-msgs-dev, libxmlrpcpp-dev, uuid-dev,
+		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
+		libxmlrpcpp-dev, uuid-dev,
 		libroscpp-core-dev, libboost-dev,
-		libboost-thread-dev, libroscpp-msgs-dev,
+		libboost-thread-dev,
+		libroscpp-msgs-dev, ros-roscpp-msgs,
 		libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		dh-python,
 		libconsole-bridge-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://wiki.ros.org/bond_core
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-bond-core.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-bond-core.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-bond-core.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-bond-core.git
 
 Package: libbond-dev
 Section: libdevel

## ros-bond-core 1.8.1

=== bond/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bond)

find_package(catkin REQUIRED message_generation std_msgs)

add_message_files(DIRECTORY msg
  FILES
  Constants.msg
  Status.msg
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== bondcpp/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,7 @@
 find_package(catkin REQUIRED bond cmake_modules roscpp smclib)
 find_package(UUID REQUIRED)
 
-include_directories(SYSTEM ${BOOST_INCLUDE_DIRS})
-include_directories(include ${catkin_INCLUDE_DIRS})
+include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
 
 catkin_package(
   INCLUDE_DIRS include

=== debian/changelog ===
ros-bond-core (1.8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Jan 2018 20:34:53 +0100

ros-bond-core (1.8.1-1) experimental; urgency=medium

  * add Multi-Arch according to hinter
  * New upstream version 1.7.19
  * Rebase patch
  * Update policy and debhelper versions
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * New upstream version 1.8.1
  * Bump policy version (no changes)
  * Bump libbondcpp SOVERSION
  * Fix typos

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 16:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), ros-message-generation, libstd-msgs-dev,
+Build-Depends: debhelper (>= 10), catkin, ros-message-generation, libstd-msgs-dev,
 		python-all (>= 2.6.6-3), python-setuptools (>=0.6b3),
 		ros-cmake-modules, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
@@ -16,7 +16,7 @@
 		libboost-filesystem-dev, libboost-regex-dev,
 		dh-python,
 		libconsole-bridge-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
 Homepage: http://wiki.ros.org/bond_core
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-bond-core.git
@@ -25,6 +25,7 @@
 Package: libbond-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ros-message-generation, libstd-msgs-dev
 Description: Messages related to Robot OS bond_core - development
  This package is part of Robot OS (ROS). This is the 'bond' process state
@@ -42,7 +43,7 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
 Description: Messages related to Robot OS bond_core - Python
  This package is part of Robot OS (ROS). This is the 'bond' process state
- machine library python bindings.
+ machine library Python bindings.
  .
  Bond is a mechanism for checking when another process has
  terminated. A bond allows two processes, A and B, to know when the
@@ -67,6 +68,7 @@
 Package: libsmc-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS 'bond' State Machine Compiler interface 
  The State Machine Compiler (SMC) from http://smc.sourceforge.net/
@@ -80,7 +82,7 @@
 Section: python
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS 'bond' State Machine Compiler python package
+Description: Robot OS 'bond' State Machine Compiler Python package
  The State Machine Compiler (SMC) from http://smc.sourceforge.net/
  converts a language-independent description of a state machine
  into the source code to support that state machine.
@@ -90,7 +92,7 @@
 Package: libbondcpp-dev
 Section: libdevel
 Architecture: any
-Depends: libbondcpp0d (= ${binary:Version}), uuid-dev, ${misc:Depends}, libbond-dev, libroscpp-dev, libsmc-dev, ros-cmake-modules
+Depends: libbondcpp1d (= ${binary:Version}), uuid-dev, ${misc:Depends}, libbond-dev, libroscpp-dev, libsmc-dev, ros-cmake-modules
 Description: Development files for Robot OS bondcpp library
  This package is part of Robot OS (ROS). It is the 'bond' process state
  machine library C++ implementation development files.
@@ -101,7 +103,7 @@
  connected until it is either broken explicitly or until a heartbeat
  times out.
 
-Package: libbondcpp0d
+Package: libbondcpp1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -121,7 +123,7 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-bond, python-rospy, python-smclib
 Description: Python implementation of bond
  This package is part of Robot OS (ROS). It is the 'bond' process state
- machine library python implementation.
+ machine library Python implementation.
  . 
  Bond is a mechanism for checking when another process has terminated. A
  bond allows two processes, A and B, to know when the other has terminated,

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python2 --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-bond-core-$1.tar.gz%" \
    https://github.com/ros/bond_core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-bond-core 1.8.3

=== bondcpp/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,16 @@
 find_package(catkin REQUIRED bond cmake_modules roscpp smclib)
 find_package(UUID REQUIRED)
 
-include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
+include_directories(
+  include
+  ${catkin_INCLUDE_DIRS}
+  ${Boost_INCLUDE_DIRS}
+  ${UUID_INCLUDE_DIRS}
+)
 
 catkin_package(
   INCLUDE_DIRS include
-  LIBRARIES ${PROJECT_NAME} ${UUID_LIBRARIES}
+  LIBRARIES ${PROJECT_NAME}
   CATKIN_DEPENDS bond roscpp smclib
   DEPENDS Boost
 )

=== bondpy/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bondpy)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

=== smclib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(smclib)

find_package(catkin REQUIRED)
catkin_package(INCLUDE_DIRS include)

catkin_python_setup()

# install the include folder
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== test_bond/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(test_bond)
 
-find_package(catkin REQUIRED COMPONENTS bondcpp genmsg rostest)
+find_package(catkin REQUIRED COMPONENTS cmake_modules bondcpp message_generation rostest)
 
 if(CATKIN_ENABLE_TESTING)
   include_directories(${GTEST_INCLUDE_DIRS})
@@ -17,8 +17,10 @@
 
 if(CATKIN_ENABLE_TESTING)
   # add more tests
+  find_package(UUID REQUIRED)
+  include_directories(${UUID_INCLUDE_DIRS})
   add_executable(exercise_bond EXCLUDE_FROM_ALL test/exercise_bond.cpp)
-  target_link_libraries(exercise_bond ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
+  target_link_libraries(exercise_bond ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${UUID_LIBRARIES})
   if(test_bond_EXPORTED_TARGETS)
     add_dependencies(exercise_bond ${test_bond_EXPORTED_TARGETS})
   endif()
@@ -28,7 +30,7 @@
   add_rostest(test/test_python.launch)
 
   add_executable(test_callbacks_cpp EXCLUDE_FROM_ALL test/test_callbacks_cpp.cpp)
-  target_link_libraries(test_callbacks_cpp ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
+  target_link_libraries(test_callbacks_cpp ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${UUID_LIBRARIES})
   if(test_bond_EXPORTED_TARGETS)
     add_dependencies(test_callbacks_cpp ${test_bond_EXPORTED_TARGETS})
   endif()

=== debian/changelog ===
ros-bond-core (1.8.3-2ubuntu1) focal; urgency=medium

  * Drop unused removed signals boost build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Feb 2020 08:39:55 +0000

ros-bond-core (1.8.3-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:31:54 +0000

ros-bond-core (1.8.3-2) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938369)
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch
  * simplify d/rules
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:04:33 +0200

ros-bond-core (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Bump policy version (no changes)
  * Add Python 3 packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Aug 2018 17:55:45 +0200

ros-bond-core (1.8.2-3) unstable; urgency=medium

  * Fix roscpp-msg* dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 21:56:53 +0200

ros-bond-core (1.8.2-2) unstable; urgency=medium

  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 17:55:05 +0200

ros-bond-core (1.8.2-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.8.2
  * Rebase patches
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 18:10:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: ros-bond-core
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), catkin, ros-message-generation, libstd-msgs-dev,
-		python-all (>= 2.6.6-3), python-setuptools (>=0.6b3),
+Build-Depends: debhelper-compat (= 12), catkin, ros-message-generation, libstd-msgs-dev,
+		python3-all, python3-setuptools,
 		ros-cmake-modules, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
 		libxmlrpcpp-dev, uuid-dev,
 		libroscpp-core-dev, libboost-dev,
 		libboost-thread-dev,
-		libroscpp-msgs-dev, ros-roscpp-msgs,
-		libboost-signals-dev,
+		libroscpp-msg-dev, ros-roscpp-msg,
 		libboost-filesystem-dev, libboost-regex-dev,
 		dh-python,
 		libconsole-bridge-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Section: libs
-Homepage: http://wiki.ros.org/bond_core
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-bond-core.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-bond-core.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/bond_core
+Vcs-Git: https://salsa.debian.org/science-team/ros-bond-core.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-bond-core
 
 Package: libbond-dev
 Section: libdevel
@@ -37,13 +38,13 @@
  connected until it is either broken explicitly or until a heartbeat
  times out.
 
-Package: python-bond
+Package: python3-bond
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
-Description: Messages related to Robot OS bond_core - Python
+Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
+Description: Messages related to Robot OS bond_core - Python 3
  This package is part of Robot OS (ROS). This is the 'bond' process state
- machine library Python bindings.
+ machine library Python 3 bindings.
  .
  Bond is a mechanism for checking when another process has
  terminated. A bond allows two processes, A and B, to know when the
@@ -54,6 +55,7 @@
 Package: cl-bond
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, cl-std-msgs
 Description: Messages related to Robot OS bond_core - LISP
  This package is part of Robot OS (ROS). This is the 'bond' process state
@@ -67,7 +69,7 @@
 
 Package: libsmc-dev
 Section: libdevel
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS 'bond' State Machine Compiler interface 
@@ -78,20 +80,21 @@
  This package contains the libraries that a compiled state machine
  depends on, but it does not contain the compiler itself.
 
-Package: python-smclib
+Package: python3-smclib
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS 'bond' State Machine Compiler Python package
+Depends: ${python3:Depends}, ${misc:Depends}
+Description: Robot OS 'bond' State Machine Compiler Python 3 package
  The State Machine Compiler (SMC) from http://smc.sourceforge.net/
  converts a language-independent description of a state machine
  into the source code to support that state machine.
  .
- This package contains the Python interface.
+ This package contains the Python 3 interface.
 
 Package: libbondcpp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libbondcpp1d (= ${binary:Version}), uuid-dev, ${misc:Depends}, libbond-dev, libroscpp-dev, libsmc-dev, ros-cmake-modules
 Description: Development files for Robot OS bondcpp library
  This package is part of Robot OS (ROS). It is the 'bond' process state
@@ -117,16 +120,18 @@
  connected until it is either broken explicitly or until a heartbeat
  times out.
 
-Package: python-bondpy
+Package: python3-bondpy
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-bond, python-rospy, python-smclib
-Description: Python implementation of bond
+Depends: ${python3:Depends}, ${misc:Depends}, python3-bond, python3-rospy, python3-smclib
+Breaks: python-bondpy (<< 1.8.3-2)
+Replaces: python-bondpy (<< 1.8.3-2)
+Description: Python 3 implementation of bond
  This package is part of Robot OS (ROS). It is the 'bond' process state
- machine library Python implementation.
+ machine library Python 3 implementation.
  . 
  Bond is a mechanism for checking when another process has terminated. A
  bond allows two processes, A and B, to know when the other has terminated, 
  either cleanly or by crashing. The bond remains connected until it is either 
  broken explicitly or until a heartbeat times out. This package contains 
- the Python package.
+ the Python 3 package.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh $@ --with=python3 --buildsystem=cmake

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-bond-core-$1.tar.gz%" \
    https://github.com/ros/bond_core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-bond-core 1.8.5

=== debian/changelog ===
ros-bond-core (1.8.5-2build1) groovy; urgency=medium

  * Rebuild against new libtf2-ros1d.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Jul 2020 19:15:07 +0200

ros-bond-core (1.8.5-2) unstable; urgency=medium

  * Fix multi arch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Jun 2020 13:56:11 +0200

ros-bond-core (1.8.5-1) unstable; urgency=medium

  * New upstream version 1.8.5
  * Remove Thomas from Uploaders, thanks for working on this
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Jun 2020 19:53:22 +0200

ros-bond-core (1.8.3-4) unstable; urgency=medium

  * Drop unnecessary boost-signal dependency. Thanks
    Gianfranco Costamagna. (Closes: #959935)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 07 May 2020 15:11:15 +0200

ros-bond-core (1.8.3-3) unstable; urgency=medium

  * Added missing pkg-config file to libsmc-dev
  * Bumped Standards-Version to 4.5.0, no changes needed

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 05 May 2020 12:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: ros-bond-core
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, ros-message-generation, libstd-msgs-dev,
+Build-Depends: debhelper-compat (= 13), catkin, ros-message-generation, libstd-msgs-dev,
 		python3-all, python3-setuptools,
 		ros-cmake-modules, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
@@ -14,9 +12,9 @@
 		libboost-thread-dev,
 		libroscpp-msg-dev, ros-roscpp-msg,
 		libboost-filesystem-dev, libboost-regex-dev,
-		dh-python,
+		dh-sequence-python3,
 		libconsole-bridge-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bond_core
@@ -31,7 +29,7 @@
 Description: Messages related to Robot OS bond_core - development
  This package is part of Robot OS (ROS). This is the 'bond' process state
  machine library development files.
- . 
+ .
  Bond is a mechanism for checking when another process has
  terminated. A bond allows two processes, A and B, to know when the
  other has terminated, either cleanly or by crashing. The bond remains
@@ -72,7 +70,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: Robot OS 'bond' State Machine Compiler interface 
+Description: Robot OS 'bond' State Machine Compiler interface
  The State Machine Compiler (SMC) from http://smc.sourceforge.net/
  converts a language-independent description of a state machine
  into the source code to support that state machine.
@@ -113,7 +111,7 @@
 Description: Robot OS bondcpp library
  This package is part of Robot OS (ROS). It is the 'bond' process state
  machine library C++ implementation.
- . 
+ .
  Bond is a mechanism for checking when another process has
  terminated. A bond allows two processes, A and B, to know when the
  other has terminated, either cleanly or by crashing. The bond remains
@@ -129,9 +127,9 @@
 Description: Python 3 implementation of bond
  This package is part of Robot OS (ROS). It is the 'bond' process state
  machine library Python 3 implementation.
- . 
+ .
  Bond is a mechanism for checking when another process has terminated. A
- bond allows two processes, A and B, to know when the other has terminated, 
- either cleanly or by crashing. The bond remains connected until it is either 
- broken explicitly or until a heartbeat times out. This package contains 
+ bond allows two processes, A and B, to know when the other has terminated,
+ either cleanly or by crashing. The bond remains connected until it is either
+ broken explicitly or until a heartbeat times out. This package contains
  the Python 3 package.

## ros-bond-core 1.8.6

=== bond/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(bond)
 
 find_package(catkin REQUIRED message_generation std_msgs)

=== smclib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(smclib)
 
 find_package(catkin REQUIRED)

=== test_bond/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 
 project(test_bond)

=== debian/changelog ===
ros-bond-core (1.8.6-9) unstable; urgency=medium

  * Ignore test results on hurd-i386

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 07:58:18 +0200

ros-bond-core (1.8.6-8) unstable; urgency=medium

  * Ignore failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 23:53:16 +0200

ros-bond-core (1.8.6-7) unstable; urgency=medium

  * Enable tests
  * Reduce d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 22:57:41 +0200

ros-bond-core (1.8.6-6) unstable; urgency=medium

  * Team upload.
  * Restrict d/watch to ROS 1 versions
  * Add lintian override for arch:any.
    Multi-Arch interpreter problem as explained in #901696
  * Make python3-smclib and python3-bondy arch:all

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Sep 2021 20:58:35 +0200

ros-bond-core (1.8.6-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:41:33 +0200

ros-bond-core (1.8.6-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 00:18:28 +0200

ros-bond-core (1.8.6-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 15:48:10 +0100

ros-bond-core (1.8.6-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 11:46:30 +0100

ros-bond-core (1.8.6-1) unstable; urgency=medium

  * New upstream version 1.8.6
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Aug 2020 15:43:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, ros-message-generation, libstd-msgs-dev,
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~),
+		ros-message-generation, libstd-msgs-dev,
 		python3-all, python3-setuptools,
 		ros-cmake-modules, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
@@ -13,8 +14,9 @@
 		libroscpp-msg-dev, ros-roscpp-msg,
 		libboost-filesystem-dev, libboost-regex-dev,
 		dh-sequence-python3,
-		libconsole-bridge-dev
-Standards-Version: 4.5.0
+		libconsole-bridge-dev, librostest-dev, libgtest-dev, python3-rostest,
+		python3-nose <!nocheck>,
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/bond_core
@@ -80,7 +82,7 @@
 
 Package: python3-smclib
 Section: python
-Architecture: any
+Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Description: Robot OS 'bond' State Machine Compiler Python 3 package
  The State Machine Compiler (SMC) from http://smc.sourceforge.net/
@@ -120,7 +122,7 @@
 
 Package: python3-bondpy
 Section: python
-Architecture: any
+Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-bond, python3-rospy, python3-smclib
 Breaks: python-bondpy (<< 1.8.3-2)
 Replaces: python-bondpy (<< 1.8.3-2)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
ifeq (,$(filter $(DEB_BUILD_ARCH),s390x hppa powerpc ppc64 sparc64 hurd-i386))
	catkin_test_results
endif

## ros-bond-core 1.8.7

=== bond_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(bond_core)
find_package(catkin REQUIRED)
catkin_metapackage()

=== bondcpp/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(bondcpp)
 
-find_package(Boost REQUIRED)
+find_package(Boost REQUIRED date_time thread)
 find_package(catkin REQUIRED bond cmake_modules roscpp smclib)
 find_package(UUID REQUIRED)
 
@@ -16,7 +16,7 @@
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}
   CATKIN_DEPENDS bond roscpp smclib
-  DEPENDS Boost
+  DEPENDS Boost UUID
 )
 
 add_library(${PROJECT_NAME}
@@ -24,7 +24,7 @@
   src/bond.cpp
   src/BondSM_sm.cpp
 )
-target_link_libraries(${PROJECT_NAME} ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${BOOST_LIBRARIES})
+target_link_libraries(${PROJECT_NAME} ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
 if(catkin_EXPORTED_TARGETS)
   add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

=== bondpy/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(bondpy)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

=== debian/changelog ===
ros-bond-core (1.8.7-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.8.7
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Sep 2025 13:45:24 +0200

ros-bond-core (1.8.6-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Mon, 30 Sep 2024 23:07:21 +0200

ros-bond-core (1.8.6-10) unstable; urgency=medium

  * Drop old Breaks/Replaces
  * Drop nose dependency (Closes: #1018620)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 12:28:41 +0200

=== debian/control ===
Source: ros-bond-core
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 catkin (>= 0.8.10-1~),
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libconsole-bridge-dev,
 libgtest-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libroscpp-msg-dev,
 librostest-dev,
 libstd-msgs-dev,
 libxmlrpcpp-dev,
 python3-all,
 python3-rostest,
 python3-setuptools,
 ros-cmake-modules,
 ros-message-generation,
 ros-roscpp-msg,
 ros-rosgraph-msgs,
 uuid-dev,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/bond_core
Vcs-Git: https://salsa.debian.org/science-team/ros-bond-core.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-bond-core

Package: libbond-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libstd-msgs-dev,
 ros-message-generation,
 ${misc:Depends},
Description: Messages related to Robot OS bond_core - development
 This package is part of Robot OS (ROS). This is the 'bond' process state
 machine library development files.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: cl-bond
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-std-msgs,
 ${misc:Depends},
Description: Messages related to Robot OS bond_core - LISP
 This package is part of Robot OS (ROS). This is the 'bond' process state
 machine library LISP bindings.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: libbondcpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbond-dev,
 libbondcpp1d (= ${binary:Version}),
 libroscpp-dev,
 libsmc-dev,
 ros-cmake-modules,
 uuid-dev,
 ${misc:Depends},
Description: Development files for Robot OS bondcpp library
 This package is part of Robot OS (ROS). It is the 'bond' process state
 machine library C++ implementation development files.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: libbondcpp1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS bondcpp library
 This package is part of Robot OS (ROS). It is the 'bond' process state
 machine library C++ implementation.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: libsmc-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS 'bond' State Machine Compiler interface
 The State Machine Compiler (SMC) from http://smc.sourceforge.net/
 converts a language-independent description of a state machine
 into the source code to support that state machine.
 .
 This package contains the libraries that a compiled state machine
 depends on, but it does not contain the compiler itself.

Package: python3-bond
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Messages related to Robot OS bond_core - Python 3
 This package is part of Robot OS (ROS). This is the 'bond' process state
 machine library Python 3 bindings.
 .
 Bond is a mechanism for checking when another process has
 terminated. A bond allows two processes, A and B, to know when the
 other has terminated, either cleanly or by crashing. The bond remains
 connected until it is either broken explicitly or until a heartbeat
 times out.

Package: python3-bondpy
Section: python
Architecture: all
Depends:
 python3-bond,
 python3-rospy,
 python3-smclib,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 implementation of bond
 This package is part of Robot OS (ROS). It is the 'bond' process state
 machine library Python 3 implementation.
 .
 Bond is a mechanism for checking when another process has terminated. A
 bond allows two processes, A and B, to know when the other has terminated,
 either cleanly or by crashing. The bond remains connected until it is either
 broken explicitly or until a heartbeat times out. This package contains
 the Python 3 package.

Package: python3-smclib
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS 'bond' State Machine Compiler Python 3 package
 The State Machine Compiler (SMC) from http://smc.sourceforge.net/
 converts a language-independent description of a state machine
 into the source code to support that state machine.
 .
 This package contains the Python 3 interface.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_SKIP_PACKAGES = bond_core
ifneq (,$(filter $(DEB_BUILD_ARCH),s390x hppa powerpc ppc64 sparc64 hurd-i386))
export ROS_IGNORE_TEST_RESULTS = 1
endif

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: bond_core
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/(1\.[\d.]+)
